<< chebwin | FOSSEE_Signal_Processing_Toolbox | cheby2 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > cheby1

# cheby1

Design a Chebyshev type I filter with specified passband ripple.

### Syntax

    [b, a] = cheby1(n, rp, wp)
    [b, a] = cheby1(n, rp, wp, "high")
    [b, a] = cheby1(n, rp, [wl, wh])
    [b, a] = cheby1(n, rp, [wl, wh], "stop")
    [z, p, g] = cheby1(...)
    [...] = cheby1(..., "s")

### Parameters

n:

  Positive integer. Order of the filter.

rp:

  Non-negative scalar. Passband ripple in dB.

wp:

  Positive real value. Normalized digital or analog passband edge(s).

z:

  Zeros of the filter.

p:

  Poles of the filter.

g:

  Gain of the filter.

### Description

This function generates a Chebyshev type I filter with rp dB of passband ripple. if second parameter is scalar the fourth parameter takes in high or low, default value is low. The cutoff is pi*Wc radians. [b, a] = cheby1(n, Rp, [Wl, Wh]) indicates a band pass filter with edges pi*Wl and pi*Wh radians. [b, a] = cheby1(n, Rp, [Wl, Wh], ’stop’) indicates a band reject filter with edges pi*Wl and pi*Wh radians. [z, p, g] = cheby1(...) returns filter as zero-pole-gain rather than coefficients of the numerator and denominator polynomials. [...] = cheby1(...,’s’) returns a Laplace space filter, w can be larger than 1 rad/sec.

### Examples

    [z, p, k] = cheby1(2, 6, 0.7, "high")

Report an issue
<< chebwin | FOSSEE_Signal_Processing_Toolbox | cheby2 >>